summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/mx5000tools')
-rw-r--r--app-misc/mx5000tools/Manifest1
-rw-r--r--app-misc/mx5000tools/mx5000tools-0.1.2_p20190613.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/app-misc/mx5000tools/Manifest b/app-misc/mx5000tools/Manifest
index 7190e16863a..9f2572856ee 100644
--- a/app-misc/mx5000tools/Manifest
+++ b/app-misc/mx5000tools/Manifest
@@ -1 +1,2 @@
DIST mx5000tools-0.1.2.tar.gz 343118 BLAKE2B 74316ca3c730b5e03aa73a8cf5422eb3690b0e088254f9078da549f2d964df065ca7cd09f5f822cb3e66ad5bac0eab546c49703eaf837a132a61ab0755e729b8 SHA512 3773b8b233f02711bb7a768a68ccd3bf72e3d51fbb64ee2a70197d1b51e884a4f40048ba6b7dcde4be0703f25672ccb0fac9b0d6612b8a94f9e01b6a9f463613
+DIST mx5000tools-0.1.2_p20190613.tar.gz 18848 BLAKE2B d7a708d3ff7336129171297406603a290c0f6b647f40cc336e49fad3b4c8f38465e4eda60b189986fac8e5776a8d98fa7614186f21d73893b6be377770f9fdee SHA512 4e415c10b22dc390c434a2d3cb9b8f6f14fad5caddc0968fe09475d0c3aee4dfe3127db7665a2eabc91f4602064c30c815ef5765fbc485dd184f71637142622b
diff --git a/app-misc/mx5000tools/mx5000tools-0.1.2_p20190613.ebuild b/app-misc/mx5000tools/mx5000tools-0.1.2_p20190613.ebuild
new file mode 100644
index 00000000000..cca3815e7ea
--- /dev/null
+++ b/app-misc/mx5000tools/mx5000tools-0.1.2_p20190613.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MX5000_TOOLS_COMMIT="c575ea33f92495b4b0ccdb1ce09099f9c011e43f"
+DESCRIPTION="Tools for controlling the LCD on a Logitech MX5000 keyboard"
+HOMEPAGE="https://web.archive.org/web/20160409073317/http://home.gna.org/mx5000tools/"
+SRC_URI="https://github.com/jwrdegoede/mx5000tools/archive/${MX5000_TOOLS_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MX5000_TOOLS_COMMIT}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+
+RDEPEND="
+ dev-libs/glib:2
+ media-libs/netpbm:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}